View Issue Details

IDProjectCategoryView StatusLast Update
0003167FEM[FreeCAD] Bugpublic2018-01-04 09:50
ReporterHoWilAssigned ToHoWil 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0003167: FEM - Materials dialogue - Units conversion problem
DescriptionValues change in the dialogue boxes of a FluidMaterial and SolidMaterial in FEM-wb after one confirms with OK.
When checking the values in python console (see below) or when reopening the material-dialogue one sees that the values are not the one entered (see also the two screenshots below).
Some values are scaled (maybe converted wrongly) others are resetted to e.g. 1m^2/s.
A similar but slightly different behavior can be observed with the SolidMaterial dialogue (see steps to reproduce).
Steps To Reproduce* Open FEM-wb and add an analysis and add a Solid-Material object
* Edit the Solid-Material and change the Expansion Coefficient of e.g. Calculix-Stell from 12,00 µm/m/K to 12,5 µm/m/K
* presses OK
* reopen the dialogue and look for the changed value of 125 µm/m/K.
Additional InformationThe values are not only displayed this way... they are also stored as can be seen in the python-console:

App.ActiveDocument.SolidMaterial.Material
{'Name': u'CalculiX-Steel', 'Density': u'7850.0 kg/m^3', 'ThermalExpansionCoefficient': u'125.0 um/m/K', 
'YoungsModulus': u'21000000.0 kPa', 'Father': u'Metal', 'SpecificHeat': u'590.0 J/kg/K', 'ThermalConductivity': 
u'43.0 W/m/K', 'PoissonRatio': u'0.32', 'Description': u'Standard steel material for CalculiX sample 
calculations'}
Tagsconversion, FEM, material, units

Issue History

Date Modified Username Field Change
2017-08-23 08:59 HoWil New Issue
2017-08-23 08:59 HoWil File Added: FC_units_problem.fcstd
2017-08-23 08:59 HoWil File Added: Screenshots_material_dialogue.svg.png
2017-08-23 08:59 HoWil Tag Attached: FEM
2017-08-23 09:01 HoWil Note Added: 0009996
2017-08-23 09:02 HoWil Tag Attached: material
2017-08-23 09:02 HoWil Tag Attached: units
2017-08-23 09:02 HoWil Tag Attached: conversion
2017-09-04 14:44 HoWil Note Added: 0010065
2018-01-03 10:38 berndhahnebach Summary Materials dialogue - Units conversion problem => FEM: Materials dialogue - Units conversion problem
2018-01-03 10:39 berndhahnebach Summary FEM: Materials dialogue - Units conversion problem => FEM - Materials dialogue - Units conversion problem
2018-01-04 09:50 wmayer Assigned To => HoWil
2018-01-04 09:50 wmayer Status new => closed
2018-01-04 09:50 wmayer Resolution open => fixed
2018-01-04 09:50 wmayer Fixed in Version => 0.17
2018-01-04 09:50 wmayer Note Added: 0010698